V1PlatformMerchantsTenantidScan linksIdRevoke
Platform admin: revoke a scan link
Permanent and immediate: the link and every device that unlocked it stop working.
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
tenantId*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidid*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/platform/merchants/497f6eca-6276-4993-bfeb-53cbbbba6f08/scan-links/497f6eca-6276-4993-bfeb-53cbbbba6f08/revoke" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "label": "string", "outletId": "414ee52f-b8bb-444c-8e1a-824bf463e887", "outletName": "string", "status": "active", "expiresAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "rotatedAt": "2019-08-24T14:15:22Z", "revokedAt": "2019-08-24T14:15:22Z", "activeDevices": 0, "lastUsedAt": "2019-08-24T14:15:22Z"}